# \ApprovalRequestsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Approve**](ApprovalRequestsApi.md#Approve) | **Post** /sys/v1/approval_requests/{request-id}/approve | Approve a request.
[**CreateApprovalRequest**](ApprovalRequestsApi.md#CreateApprovalRequest) | **Post** /sys/v1/approval_requests | Create approval request
[**DeleteApprovalRequest**](ApprovalRequestsApi.md#DeleteApprovalRequest) | **Delete** /sys/v1/approval_requests/{request-id} | Delete an approval request.
[**Deny**](ApprovalRequestsApi.md#Deny) | **Post** /sys/v1/approval_requests/{request-id}/deny | Deny a request.
[**GetApprovalRequest**](ApprovalRequestsApi.md#GetApprovalRequest) | **Get** /sys/v1/approval_requests/{request-id} | Get an approval request.
[**GetApprovalRequests**](ApprovalRequestsApi.md#GetApprovalRequests) | **Get** /sys/v1/approval_requests | Get all approval requests
[**GetResult**](ApprovalRequestsApi.md#GetResult) | **Post** /sys/v1/approval_requests/{request-id}/result | Get the result for an approved or failed request.


# **Approve**
> Approve(ctx, requestId)
Approve a request.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **requestId** | **string**| Approval Request Identifier | 

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **CreateApprovalRequest**
> ApprovalRequest CreateApprovalRequest(ctx, body)
Create approval request

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**ApprovalRequestRequest**](ApprovalRequestRequest.md)| Request to create an approval request. | 

### Return type

[**ApprovalRequest**](ApprovalRequest.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteApprovalRequest**
> DeleteApprovalRequest(ctx, requestId)
Delete an approval request.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **requestId** | **string**| Approval Request Identifier | 

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Deny**
> Deny(ctx, requestId)
Deny a request.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **requestId** | **string**| Approval Request Identifier | 

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetApprovalRequest**
> ApprovalRequest GetApprovalRequest(ctx, requestId)
Get an approval request.

Get the details and status of a particular approval request.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **requestId** | **string**| Approval Request Identifier | 

### Return type

[**ApprovalRequest**](ApprovalRequest.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetApprovalRequests**
> []ApprovalRequest GetApprovalRequests(ctx, optional)
Get all approval requests

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
 **optional** | **map[string]interface{}** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a map[string]interface{}.

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **requester** | **string**| Only retrieve approval requests with the specified requester ID | 
 **reviewer** | **string**| Only retrieve approval requests with the specified reviewer ID | 
 **subject** | **string**| Only retrieve approval requests with the specified subject ID | 
 **status** | **string**| Only retrieve approval requests with the specified approval status | 

### Return type

[**[]ApprovalRequest**](ApprovalRequest.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetResult**
> ApprovableResult GetResult(ctx, requestId)
Get the result for an approved or failed request.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **requestId** | **string**| Approval Request Identifier | 

### Return type

[**ApprovableResult**](ApprovableResult.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

