# \ChildAccountUsersApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateChildAccountUser**](ChildAccountUsersApi.md#CreateChildAccountUser) | **Post** /sys/v1/users/child_account | Create a new user user in a child account
[**DeleteChildAccountUser**](ChildAccountUsersApi.md#DeleteChildAccountUser) | **Delete** /sys/v1/users/child_account/{user-id} | Completely delete a user in child account
[**GetAllChildAccountUsers**](ChildAccountUsersApi.md#GetAllChildAccountUsers) | **Get** /sys/v1/users/child_account/{user-id}/all | Get all users in a child account
[**GetChildAccountUser**](ChildAccountUsersApi.md#GetChildAccountUser) | **Get** /sys/v1/users/child_account/{user-id} | Get a specific child account user
[**UpdateChildAccountUser**](ChildAccountUsersApi.md#UpdateChildAccountUser) | **Patch** /sys/v1/users/child_account/{user-id} | Update a child account user


# **CreateChildAccountUser**
> ChildAccountUser CreateChildAccountUser(ctx, body)
Create a new user user in a child account

Create a new user user in a child account.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**ChildAccountUserRequest**](ChildAccountUserRequest.md)| User in child account | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteChildAccountUser**
> DeleteChildAccountUser(ctx, userId)
Completely delete a user in child account

Completely delete a user in child account.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **userId** | **string**| User Identifier | 

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetAllChildAccountUsers**
> []ChildAccountUser GetAllChildAccountUsers(ctx, userId)
Get all users in a child account

Get all users in a child account

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **userId** | **string**| User Identifier | 

### Return type

[**[]ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetChildAccountUser**
> ChildAccountUser GetChildAccountUser(ctx, userId)
Get a specific child account user

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **userId** | **string**| User Identifier | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateChildAccountUser**
> ChildAccountUser UpdateChildAccountUser(ctx, userId, body)
Update a child account user

Change a child account user's properties.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **userId** | **string**| User Identifier | 
  **body** | [**ChildAccountUserRequest**](ChildAccountUserRequest.md)| User in child account | 

### Return type

[**ChildAccountUser**](ChildAccountUser.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

