# \EncryptionAndDecryptionApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**BatchDecrypt**](EncryptionAndDecryptionApi.md#BatchDecrypt) | **Post** /crypto/v1/keys/batch/decrypt | Batch decrypt with one or more keys
[**BatchEncrypt**](EncryptionAndDecryptionApi.md#BatchEncrypt) | **Post** /crypto/v1/keys/batch/encrypt | Batch encrypt with one or more keys
[**Decrypt**](EncryptionAndDecryptionApi.md#Decrypt) | **Post** /crypto/v1/keys/{key-id}/decrypt | Decrypt data
[**DecryptEx**](EncryptionAndDecryptionApi.md#DecryptEx) | **Post** /crypto/v1/decrypt | Decrypt data
[**DecryptFinal**](EncryptionAndDecryptionApi.md#DecryptFinal) | **Post** /crypto/v1/keys/{key-id}/decrypt/final | Conclude multi-part decryption
[**DecryptFinalEx**](EncryptionAndDecryptionApi.md#DecryptFinalEx) | **Post** /crypto/v1/decrypt/final | Conclude multi-part decryption
[**DecryptInit**](EncryptionAndDecryptionApi.md#DecryptInit) | **Post** /crypto/v1/keys/{key-id}/decrypt/init | Begin multi-part decryption
[**DecryptInitEx**](EncryptionAndDecryptionApi.md#DecryptInitEx) | **Post** /crypto/v1/decrypt/init | Begin multi-part decryption
[**DecryptUpdate**](EncryptionAndDecryptionApi.md#DecryptUpdate) | **Post** /crypto/v1/keys/{key-id}/decrypt/update | Continue multi-part decryption
[**DecryptUpdateEx**](EncryptionAndDecryptionApi.md#DecryptUpdateEx) | **Post** /crypto/v1/decrypt/update | Continue multi-part decryption
[**Encrypt**](EncryptionAndDecryptionApi.md#Encrypt) | **Post** /crypto/v1/keys/{key-id}/encrypt | Encrypt data
[**EncryptEx**](EncryptionAndDecryptionApi.md#EncryptEx) | **Post** /crypto/v1/encrypt | Encrypt data
[**EncryptFinal**](EncryptionAndDecryptionApi.md#EncryptFinal) | **Post** /crypto/v1/keys/{key-id}/encrypt/final | Conclude multi-part encryption
[**EncryptFinalEx**](EncryptionAndDecryptionApi.md#EncryptFinalEx) | **Post** /crypto/v1/encrypt/final | Conclude multi-part encryption
[**EncryptInit**](EncryptionAndDecryptionApi.md#EncryptInit) | **Post** /crypto/v1/keys/{key-id}/encrypt/init | Begin multi-part encryption
[**EncryptInitEx**](EncryptionAndDecryptionApi.md#EncryptInitEx) | **Post** /crypto/v1/encrypt/init | Begin multi-part encryption
[**EncryptUpdate**](EncryptionAndDecryptionApi.md#EncryptUpdate) | **Post** /crypto/v1/keys/{key-id}/encrypt/update | Continue multi-part encryption
[**EncryptUpdateEx**](EncryptionAndDecryptionApi.md#EncryptUpdateEx) | **Post** /crypto/v1/encrypt/update | Continue multi-part encryption


# **BatchDecrypt**
> []BatchDecryptResponseInner BatchDecrypt(ctx, body)
Batch decrypt with one or more keys

The data to be decrypted and the key ids to be used are provided in the request body. The decrypted plain text is returned in the response body. The ordering of the body matches the ordering of the request. An individual status code is returned for each batch item. Maximum size of the entire batch request is 512 KB. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**[]BatchDecryptRequestInner**](BatchDecryptRequest.md)| Batch decryption request | 

### Return type

[**[]BatchDecryptResponseInner**](BatchDecryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **BatchEncrypt**
> []BatchEncryptResponseInner BatchEncrypt(ctx, body)
Batch encrypt with one or more keys

The data to be encrypted and the key ids to be used are provided in the request body. The encrypted cipher text is returned in the response body. The ordering of the body matches the ordering of the request. An individual status code is returned for each batch item. Maximum size of the entire batch request is 512 KB. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**[]BatchEncryptRequestInner**](BatchEncryptRequest.md)| Batch Encryption request | 

### Return type

[**[]BatchEncryptResponseInner**](BatchEncryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Decrypt**
> DecryptResponse Decrypt(ctx, keyId, body)
Decrypt data

Decrypt data using a symmetric or asymmetric key. For symmetric ciphers, mode (specifying the block cipher mode) is a required field. <br> For GCM and CCM modes, tag_len is a required field. <br> iv is required for symmetric ciphers and unused for asymmetric ciphers. It must contain the initialization value used when the object was encrypted. <br> Objects of type opaque, EC, or HMAC may not be used for encryption or decryption. <br> 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**DecryptRequest**](DecryptRequest.md)| Decryption request | 

### Return type

[**DecryptResponse**](DecryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptEx**
> DecryptResponse DecryptEx(ctx, body)
Decrypt data

Decrypt data using a symmetric or asymmetric key. For symmetric ciphers, mode (specifying the block cipher mode) is a required field. <br> For GCM and CCM modes, tag_len is a required field. <br> iv is required for symmetric ciphers and unused for asymmetric ciphers. It must contain the initialization value used when the object was encrypted. <br> Objects of type opaque, EC, or HMAC may not be used for encryption or decryption. <br> 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**DecryptRequestEx**](DecryptRequestEx.md)| Decryption request | 

### Return type

[**DecryptResponse**](DecryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptFinal**
> DecryptFinalResponse DecryptFinal(ctx, keyId, body)
Conclude multi-part decryption

Conclude a multi-part decryption operation. See `decrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**DecryptFinalRequest**](DecryptFinalRequest.md)| Finish multi-part decryption | 

### Return type

[**DecryptFinalResponse**](DecryptFinalResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptFinalEx**
> DecryptFinalResponse DecryptFinalEx(ctx, body)
Conclude multi-part decryption

Conclude a multi-part decryption operation. See `decrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**DecryptFinalRequestEx**](DecryptFinalRequestEx.md)| Finish multi-part decryption | 

### Return type

[**DecryptFinalResponse**](DecryptFinalResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptInit**
> DecryptInitResponse DecryptInit(ctx, keyId, body)
Begin multi-part decryption

This API is used when decrypting more data than the client wishes to submit in a single request. It supports only symmetric ciphers and only conventional (not AEAD) modes of operation. To perform multi-part decryption, the client makes one request to the `init` resource, zero or more requests to the `update` resource, followed by one request to the `final` resource. The response to init and update requests includes a `state` field. The `state` is an opaque data blob that must be supplied unmodified by the client with the subsequent request. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**DecryptInitRequest**](DecryptInitRequest.md)| Multi-part decryption initialization request | 

### Return type

[**DecryptInitResponse**](DecryptInitResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptInitEx**
> DecryptInitResponse DecryptInitEx(ctx, body)
Begin multi-part decryption

This API is used when decrypting more data than the client wishes to submit in a single request. It supports only symmetric ciphers and only conventional (not AEAD) modes of operation. To perform multi-part decryption, the client makes one request to the `init` resource, zero or more requests to the `update` resource, followed by one request to the `final` resource. The response to init and update requests includes a `state` field. The `state` is an opaque data blob that must be supplied unmodified by the client with the subsequent request. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**DecryptInitRequestEx**](DecryptInitRequestEx.md)| Multi-part decryption initialization request | 

### Return type

[**DecryptInitResponse**](DecryptInitResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptUpdate**
> DecryptUpdateResponse DecryptUpdate(ctx, keyId, body)
Continue multi-part decryption

Continue a multi-part decryption operation. See `decrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**DecryptUpdateRequest**](DecryptUpdateRequest.md)| Multi-part decryption | 

### Return type

[**DecryptUpdateResponse**](DecryptUpdateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DecryptUpdateEx**
> DecryptUpdateResponse DecryptUpdateEx(ctx, body)
Continue multi-part decryption

Continue a multi-part decryption operation. See `decrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**DecryptUpdateRequestEx**](DecryptUpdateRequestEx.md)| Multi-part decryption | 

### Return type

[**DecryptUpdateResponse**](DecryptUpdateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Encrypt**
> EncryptResponse Encrypt(ctx, keyId, body)
Encrypt data

Encrypt data using a symmetric or asymmetric key. <br> For symmetric ciphers, mode (specifying the block cipher mode) is a required field. <br> For GCM and CCM modes, tag_len is a required field. <br> iv is optional for symmetric ciphers and unused for asymmetric ciphers. If provided, it will be used as the cipher initialization value. Length of iv must match the initialization value size for the cipher and mode. If not provided, SDKMS will create a random iv of the correct length for the cipher and mode and return this value in the response. <br> Objects of type Opaque, EC, or HMAC may not be used for encryption or decryption. <br> 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**EncryptRequest**](EncryptRequest.md)| Encryption request | 

### Return type

[**EncryptResponse**](EncryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptEx**
> EncryptResponse EncryptEx(ctx, body)
Encrypt data

Encrypt data using a symmetric or asymmetric key. <br> For symmetric ciphers, mode (specifying the block cipher mode) is a required field. <br> For GCM and CCM modes, tag_len is a required field. <br> iv is optional for symmetric ciphers and unused for asymmetric ciphers. If provided, it will be used as the cipher initialization value. Length of iv must match the initialization value size for the cipher and mode. If not provided, SDKMS will create a random iv of the correct length for the cipher and mode and return this value in the response. <br> Objects of type Opaque, EC, or HMAC may not be used for encryption or decryption. <br> 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**EncryptRequestEx**](EncryptRequestEx.md)| Encryption request | 

### Return type

[**EncryptResponse**](EncryptResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptFinal**
> EncryptFinalResponse EncryptFinal(ctx, keyId, body)
Conclude multi-part encryption

Conclude a multi-part encryption operation. See `encrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**EncryptFinalRequest**](EncryptFinalRequest.md)| Finish multi-part encryption | 

### Return type

[**EncryptFinalResponse**](EncryptFinalResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptFinalEx**
> EncryptFinalResponse EncryptFinalEx(ctx, body)
Conclude multi-part encryption

Conclude a multi-part encryption operation. See `encrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**EncryptFinalRequestEx**](EncryptFinalRequestEx.md)| Finish multi-part encryption | 

### Return type

[**EncryptFinalResponse**](EncryptFinalResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptInit**
> EncryptInitResponse EncryptInit(ctx, keyId, body)
Begin multi-part encryption

This API is used when encrypting more data than the client wishes to submit in a single request. It supports only symmetric ciphers and only conventional (not AEAD) modes of operation. To perform multi-part encryption, the client makes one request to the `init` resource, zero or more requests to the `update` resource, followed by one request to the `final` resource. The response to init and update requests includes a `state` field. The `state` is an opaque data blob that must be supplied unmodified by the client with the subsequent request. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**EncryptInitRequest**](EncryptInitRequest.md)| Multi-part encryption initialization request | 

### Return type

[**EncryptInitResponse**](EncryptInitResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptInitEx**
> EncryptInitResponse EncryptInitEx(ctx, body)
Begin multi-part encryption

This API is used when encrypting more data than the client wishes to submit in a single request. It supports only symmetric ciphers and only conventional (not AEAD) modes of operation. To perform multi-part encryption, the client makes one request to the `init` resource, zero or more requests to the `update` resource, followed by one request to the `final` resource. The response to init and update requests includes a `state` field. The `state` is an opaque data blob that must be supplied unmodified by the client with the subsequent request. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**EncryptInitRequestEx**](EncryptInitRequestEx.md)| Multi-part encryption initialization request | 

### Return type

[**EncryptInitResponse**](EncryptInitResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptUpdate**
> EncryptUpdateResponse EncryptUpdate(ctx, keyId, body)
Continue multi-part encryption

Continue a multi-part encryption operation. See `encrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**EncryptUpdateRequest**](EncryptUpdateRequest.md)| Multi-part encryption | 

### Return type

[**EncryptUpdateResponse**](EncryptUpdateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EncryptUpdateEx**
> EncryptUpdateResponse EncryptUpdateEx(ctx, body)
Continue multi-part encryption

Continue a multi-part encryption operation. See `encrypt/init` for details. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**EncryptUpdateRequestEx**](EncryptUpdateRequestEx.md)| Multi-part encryption | 

### Return type

[**EncryptUpdateResponse**](EncryptUpdateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

