# \LogsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetAuditLogs**](LogsApi.md#GetAuditLogs) | **Get** /sys/v1/logs | Get audit logs


# **GetAuditLogs**
> AuditLogResponse GetAuditLogs(ctx, optional)
Get audit logs

Get audit log entries matching the requested filters.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
 **optional** | **map[string]interface{}** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a map[string]interface{}.

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **size** | **int32**| Maximum number of entries to return | 
 **from** | **int32**| For pagination, starting offset | 
 **actionType** | **string**| Event action type | 
 **actorType** | **string**| Event actor type | 
 **actorId** | **string**| Actor (User or App) Identifier | 
 **objectId** | **string**| Object (User or App) Identifier for event | 
 **severity** | **string**| Event severity type | 
 **rangeFrom** | **int32**| Starting time for search , this is EPOCH value | 
 **rangeTo** | **int32**| Ending time for search , this is EPOCH value | 

### Return type

[**AuditLogResponse**](AuditLogResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

