# \PluginsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreatePlugin**](PluginsApi.md#CreatePlugin) | **Post** /sys/v1/plugins | Create a new plugin
[**DeletePlugin**](PluginsApi.md#DeletePlugin) | **Delete** /sys/v1/plugins/{plugin-id} | Delete plugin
[**GetPlugin**](PluginsApi.md#GetPlugin) | **Get** /sys/v1/plugins/{plugin-id} | Get a specific plugin
[**GetPlugins**](PluginsApi.md#GetPlugins) | **Get** /sys/v1/plugins | Get all plugins
[**InvokePlugin**](PluginsApi.md#InvokePlugin) | **Post** /sys/v1/plugins/{plugin-id} | Invoke a plugin
[**SysV1PluginsInvokePluginIdGet**](PluginsApi.md#SysV1PluginsInvokePluginIdGet) | **Get** /sys/v1/plugins/invoke/{plugin-id} | Invoke a plugin using GET.
[**UpdatePlugin**](PluginsApi.md#UpdatePlugin) | **Patch** /sys/v1/plugins/{plugin-id} | Update a plugin


# **CreatePlugin**
> Plugin CreatePlugin(ctx, body)
Create a new plugin

Create a new plugin with the specified properties.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**PluginRequest**](PluginRequest.md)| Properties of plugin to create | 

### Return type

[**Plugin**](Plugin.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeletePlugin**
> DeletePlugin(ctx, pluginId)
Delete plugin

Remove a plugin from SDKMS.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **pluginId** | **string**| Plugin Identifier | 

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetPlugin**
> Plugin GetPlugin(ctx, pluginId)
Get a specific plugin

Look up plugin by plugin ID.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **pluginId** | **string**| Plugin Identifier | 

### Return type

[**Plugin**](Plugin.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetPlugins**
> []Plugin GetPlugins(ctx, optional)
Get all plugins

Get details of all plugins the current user has access to.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
 **optional** | **map[string]interface{}** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a map[string]interface{}.

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groupId** | **string**| Only retrieve plugins in the specified group. | 
 **sort** | **string**| This specifies the property (&#x60;plugin_id&#x60; only, for now) and order (ascending or descending) with which to sort the apps. By default, plugins are sorted by &#x60;plugin_id&#x60; in ascending order. The syntax is \&quot;&lt;property&gt;:[asc|desc]\&quot; (e.g. \&quot;plugin_id:desc\&quot;) or just \&quot;&lt;property&gt;\&quot; (ascending order by default).  | 
 **start** | **string**| If provided, this must be a value of the property specified in &#x60;sort&#x60;. Returned apps will begin just above or just below this value (for asc/desc order resp.).  | 
 **limit** | **int32**| Maximum number of apps to return. If not provided, the limit is 100. | 
 **offset** | **int32**| Number of apps past &#x60;start&#x60; to skip. | 

### Return type

[**[]Plugin**](Plugin.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **InvokePlugin**
> PluginInvokeResponse InvokePlugin(ctx, pluginId, body)
Invoke a plugin

Invokes a plugin execution with the provided request body as input to the plugin.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **pluginId** | **string**| Plugin Identifier | 
  **body** | [**PluginInvokeRequest**](PluginInvokeRequest.md)| Object to be passed to plugin as input | 

### Return type

[**PluginInvokeResponse**](PluginInvokeResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SysV1PluginsInvokePluginIdGet**
> PluginInvokeResponse SysV1PluginsInvokePluginIdGet(ctx, pluginId)
Invoke a plugin using GET.

Invokes a plugin with empty input.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **pluginId** | **string**| Plugin Identifier | 

### Return type

[**PluginInvokeResponse**](PluginInvokeResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdatePlugin**
> App UpdatePlugin(ctx, pluginId, body)
Update a plugin

Change a plugin's properties, such as name, description, code, or group membership.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **pluginId** | **string**| Plugin Identifier | 
  **body** | [**PluginRequest**](PluginRequest.md)| Properties of plugin to create | 

### Return type

[**App**](App.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

