# UnwrapKeyRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Key** | [***SobjectDescriptor**](SobjectDescriptor.md) |  | [default to null]
**Alg** | [***ObjectType**](ObjectType.md) |  | [default to null]
**GroupId** | **string** | Group ID (not name) of the security group that this security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used.  | [optional] [default to null]
**ObjType** | [***ObjectType**](ObjectType.md) |  | [default to null]
**WrappedKey** | **string** | A Security Object previously wrapped with another key.  | [default to null]
**Mode** | [***CryptMode**](CryptMode.md) |  | [optional] [default to null]
**Iv** | **string** | The initialization value used to encrypt this ciphertext. This field is required for symmetric ciphers, and ignored for asymmetric ciphers.  | [optional] [default to null]
**Ad** | **string** | The authenticated data used with this ciphertext and authentication tag. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] [default to null]
**Tag** | **string** | The authentication tag used with this ciphertext and authenticated data. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] [default to null]
**Name** | **string** | Name of the security object to unwrap. Security object names must be unique within an account. | [default to null]
**Description** | **string** | Description of the Security object to unwrap. | [optional] [default to null]
**KeyOps** | [**[]KeyOperations**](KeyOperations.md) | Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled.  | [optional] [default to null]
**CustomMetadata** | **map[string]string** | User-defined metadata for this key. Stored as key-value pairs. | [optional] [default to null]
**Enabled** | **bool** | Whether the new security object should be enabled. Disabled security objects may not perform cryptographic operations.  | [optional] [default to null]
**Rsa** | [***RsaOptions**](RsaOptions.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


