/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type AccountRequest struct {
	// Name of the account. Accounts must be unique within an SDKMS instance.
	Name string `json:"name,omitempty"`

	// Account ID uniquely identifying this account.
	Description string `json:"description,omitempty"`

	// Organization (e.g. company name) that owns this account
	Organization string `json:"organization,omitempty"`

	// Main country associated with this account
	Country string `json:"country,omitempty"`

	// Contact phone number associated with this account
	Phone string `json:"phone,omitempty"`

	NotificationPref *NotificationPref `json:"notification_pref,omitempty"`

	AuthConfig *AuthConfig `json:"auth_config,omitempty"`

	AddLoggingConfigs []LoggingConfigRequest `json:"add_logging_configs,omitempty"`

	// Map from UUIDs to LoggingConfigRequest objects
	ModLoggingConfigs map[string]LoggingConfigRequest `json:"mod_logging_configs,omitempty"`

	DelLoggingConfigs []string `json:"del_logging_configs,omitempty"`

	PendingSubscriptionChangeRequest *SubscriptionChangeRequest `json:"pending_subscription_change_request,omitempty"`

	// Whether this account is enabled. This may only be changed by sysadmins.
	Enabled bool `json:"enabled,omitempty"`

	Subscription *SubscriptionType `json:"subscription,omitempty"`

	// Sysadmin-defined metadata for this account. Stored as key-value pairs. This field may only be used by sysadmin users. 
	CustomMetadata map[string]string `json:"custom_metadata,omitempty"`
}


