/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type ApprovalRequest struct {
	// UUID uniquely identifying this approval request.
	RequestId string `json:"request_id"`

	Requester *Entity `json:"requester"`

	// When this approval request was created.
	CreatedAt string `json:"created_at"`

	// The account ID of the account that this approval request belongs to.
	AcctId string `json:"acct_id"`

	// Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/<id>`.
	Operation string `json:"operation"`

	// Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST. 
	Method string `json:"method"`

	Body interface{} `json:"body"`

	Approvers []Entity `json:"approvers"`

	Denier *Entity `json:"denier"`

	Status *ApprovalStatus `json:"status"`

	Reviewers []Entity `json:"reviewers"`

	Subjects []ApprovalSubject `json:"subjects"`

	// Optional comment about the approval request for the reviewer.
	Description string `json:"description,omitempty"`

	// When this approval request expires.
	Expiry string `json:"expiry"`
}


