/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type AuditLogResponse struct {
	// Type of action performed.
	ActionType string `json:"action_type"`

	// Type of entity performing action.
	ActorType string `json:"actor_type"`

	// Audit log message.
	Message string `json:"message"`

	// Severity of audit log message.
	Severity string `json:"severity"`

	// Time that action occurred.
	Time string `json:"time"`

	// ID of object acted upon.
	ObjectId string `json:"object_id"`

	// ID of entity performing action.
	ActorId string `json:"actor_id"`

	// Account ID of the account this audit log applies to.
	AcctId string `json:"acct_id"`

	GroupIds []string `json:"group_ids"`
}


