/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// Details of signning key that will be used for signature verification.
type AuthConfigSignedJwtSigningKeys struct {
	// Type of signing key, fetched or stored
	Kind *JwtSigningKeyType `json:"kind"`

	// URL for fetching public key for verification of JWT signature
	Url string `json:"url"`

	// In case of \"fetched\" type, duration for which the public key can be cached
	CacheDuration int32 `json:"cache_duration,omitempty"`
}


