/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type ChildAccountUserRequest struct {
	// Account id of child account
	ChildAcctId string `json:"child_acct_id"`

	// User's email address.
	UserEmail string `json:"user_email"`

	AccountRole []UserAccountFlags `json:"account_role,omitempty"`

	// The user will be added to the specified security groups with the specified roles.
	AddGroups *UserGroupMap `json:"add_groups,omitempty"`

	// The user will be removed from the specified security groups.
	DelGroups *UserGroupMap `json:"del_groups,omitempty"`

	// The user's role in the specified groups will be updated to the specified roles.
	ModGroups *UserGroupMap `json:"mod_groups,omitempty"`

	// Whether this application is enabled.
	Enabled bool `json:"enabled,omitempty"`
}


