/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type DeriveKeyRequest struct {
	// Name of the derived key. Key names must be unique within an account.
	Name string `json:"name"`

	// Group ID (not name) of the security group that this security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used. 
	GroupId string `json:"group_id,omitempty"`

	// Key size of the derived key in bits (not bytes).
	KeySize int32 `json:"key_size"`

	KeyType *ObjectType `json:"key_type"`

	Mechanism *DeriveKeyMechanism `json:"mechanism"`

	// Whether the derived key should have cryptographic operations enabled.
	Enabled bool `json:"enabled,omitempty"`

	// Description for the new key.
	Description string `json:"description,omitempty"`

	// Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled. 
	KeyOps []KeyOperations `json:"key_ops,omitempty"`

	// User-defined metadata for this key. Stored as key-value pairs.
	CustomMetadata map[string]string `json:"custom_metadata,omitempty"`
}


