/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms

// EllipticCurve : Identifies a standardized elliptic curve. Required for operations involving EC keys.
type EllipticCurve string

// List of EllipticCurve
const (
	EllipticCurve_SEC_P192_K1 EllipticCurve = "SecP192K1"

	EllipticCurve_SEC_P224_K1 EllipticCurve = "SecP224K1"

	EllipticCurve_SEC_P256_K1 EllipticCurve = "SecP256K1"

	EllipticCurve_NIST_P192 EllipticCurve = "NistP192"

	EllipticCurve_NIST_P224 EllipticCurve = "NistP224"

	EllipticCurve_NIST_P256 EllipticCurve = "NistP256"

	EllipticCurve_NIST_P384 EllipticCurve = "NistP384"

	EllipticCurve_NIST_P521 EllipticCurve = "NistP521"

	EllipticCurve_GOST256_A EllipticCurve = "Gost256A"

	EllipticCurve_ED25519 EllipticCurve = "Ed25519"

	EllipticCurve_X25519 EllipticCurve = "X25519"

	EllipticCurve_X448 EllipticCurve = "X448"
)

