/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// FPE-specific options.
type FpeOptions struct {
	// The base for input data.
	Radix int32 `json:"radix"`

	// The minimum allowed length for the input data.
	MinLength int32 `json:"min_length,omitempty"`

	// The maximum allowed length for the input data.
	MaxLength int32 `json:"max_length,omitempty"`

	// The list of indices of characters to be preserved while performing encryption/decryption.
	Preserve []int32 `json:"preserve,omitempty"`

	// The list of indices of characters to be masked while performing masked decryption.
	Mask []int32 `json:"mask,omitempty"`

	// Whether encrypted/decrypted data should satisfy LUHN checksum formula.
	LuhnCheck bool `json:"luhn_check,omitempty"`

	// The user-friendly name for the data type that represents the input data.
	Name string `json:"name,omitempty"`
}


