/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type UnwrapKeyRequestEx struct {
	Key *SobjectDescriptor `json:"key"`

	Alg *ObjectType `json:"alg"`

	// Group ID (not name) of the security group that this security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used. 
	GroupId string `json:"group_id,omitempty"`

	ObjType *ObjectType `json:"obj_type"`

	// A Security Object previously wrapped with another key. 
	WrappedKey string `json:"wrapped_key"`

	Mode *CryptMode `json:"mode,omitempty"`

	// The initialization value used to encrypt this ciphertext. This field is required for symmetric ciphers, and ignored for asymmetric ciphers. 
	Iv string `json:"iv,omitempty"`

	// The authenticated data used with this ciphertext and authentication tag. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers. 
	Ad string `json:"ad,omitempty"`

	// The authentication tag used with this ciphertext and authenticated data. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers. 
	Tag string `json:"tag,omitempty"`

	// Name of the security object to unwrap. Security object names must be unique within an account.
	Name string `json:"name"`

	// Description of the Security object to unwrap.
	Description string `json:"description,omitempty"`

	// Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled. 
	KeyOps []KeyOperations `json:"key_ops,omitempty"`

	// User-defined metadata for this key. Stored as key-value pairs.
	CustomMetadata map[string]string `json:"custom_metadata,omitempty"`

	// Whether the new security object should be enabled. Disabled security objects may not perform cryptographic operations. 
	Enabled bool `json:"enabled,omitempty"`

	Rsa *RsaOptions `json:"rsa,omitempty"`
}


