/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20190311
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type WrapKeyResponse struct {
	// The wrapped key.
	WrappedKey string `json:"wrapped_key"`

	// The initialiation value used for symmetric encryption. Not returned for asymmetric ciphers.
	Iv string `json:"iv,omitempty"`

	// For symmetric ciphers with cipher mode GCM or CCM, the authentication tag produced by the cipher. Its length will match the tag length specified by the encryption request. 
	Tag string `json:"tag,omitempty"`
}


